Package org.jboss.resteasy.wadl

## Class ResteasyWadlWriter

- java.lang.Object
- - org.jboss.resteasy.wadl.ResteasyWadlWriter

- Direct Known Subclasses:
    `ResteasyWadlServletWriter`

      public class ResteasyWadlWriter
      extends Object

  Author:
    Weinan Li

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ResteasyWadlWriter.ResteasyWadlGrammar` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyWadlWriter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createApplication​(String base, Map<String,​ResteasyWadlServiceRegistry> serviceRegistries)` |
    `byte[]` | `getBytes​(String base, Map<String,​ResteasyWadlServiceRegistry> serviceRegistries)` | Deprecated.
    `StringWriter` | `getStringWriter​(String base, Map<String,​ResteasyWadlServiceRegistry> serviceRegistries)` |
    `ResteasyWadlWriter.ResteasyWadlGrammar` | `getWadlGrammar()` |
    `void` | `setWadlGrammar​(ResteasyWadlWriter.ResteasyWadlGrammar wadlGrammar)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyWadlWriter

          public ResteasyWadlWriter()

  - ### Method Detail

    - #### setWadlGrammar

          public void setWadlGrammar​(ResteasyWadlWriter.ResteasyWadlGrammar wadlGrammar)

    - #### getWadlGrammar

          public ResteasyWadlWriter.ResteasyWadlGrammar getWadlGrammar()

    - #### getBytes

          @Deprecated
          public byte[] getBytes​(String base,
                                 Map<String,​ResteasyWadlServiceRegistry> serviceRegistries)
                          throws JAXBException

      Deprecated.
      Throws:
        `JAXBException`

    - #### getStringWriter

          public StringWriter getStringWriter​(String base,
                                              Map<String,​ResteasyWadlServiceRegistry> serviceRegistries)
                                       throws JAXBException

      Throws:
        `JAXBException`

    - #### createApplication

          public void createApplication​(String base,
                                        Map<String,​ResteasyWadlServiceRegistry> serviceRegistries)